// ------------api在token拦截器文件中
// 设置全局AJAX配置
$.ajaxSetup({
    beforeSend: function(xhr) {
        // 在发送请求前设置请求头信息
        xhr.setRequestHeader('Authorization', token);
    },
    error: function(xhr, status, error) {
        if (xhr.status === 401) {
            // 如果状态码为401，则重定向到登录页面
            window.location.href = "login.html";
        }
    }
});
// 封装一个方法1秒后刷新页面
function time() {
    window.setTimeout(function() { parent.layui.admin.refreshThis() }, 1000)
}
// 封装一个方法，执行成功后弹出
function success(message) {
    layui.use(['toast'], function() {
        layui.toast.success({
            title: '成功',
            message: message,
            position: 'topCenter'
        });
    })
}
// 封装一个方法失败后弹出
function error(message) {
    layui.use(['toast'], function() {
        var toast = layui.toast;
        toast.error({
            title: '失败',
            message: message,
            position: 'topCenter'
        });
    })
}
// 修改用户信息
function edituser(data) {
    // 获取dom
    let userId = $('#userIded').val()
    let userName = $('#usernameed').val()
    let passWord = $('#passworded').val()
    let phone = $('#phoneed').val()
    let idCard = $('#idCarded').val()
    let driverLicense = $('#driverLicenseed').val()
    $.ajax({
        type: 'post',
        url: `${api}/api/upuserinfo`,
        data: {
            userId,
            userName,
            passWord,
            phone,
            idCard,
            driverLicense
        },
        success: function(res) {
            if (res.status == 200) {
                success(res.message)
                time()
            } else {
                error(res.message)
            }

        },
        error: function(error) {
            error(error.message)
        }
    })
}
// 新增用户
function adduser() {
    let userName = $('#userNames').val();
    let phone = $('#phones').val();
    let passWord = $('#passWords').val();
    let idCard = $('#idCards').val();
    let driverLicense = $('#driverLicenses').val();
    console.log(userName, phone, passWord, idCard, driverLicense)
    $.ajax({
        type: 'post',
        url: `${api}/api/add_user`,
        contentType: 'application/json', // 设置请求的内容类型为 JSON
        data: JSON.stringify({
            userName: userName,
            phone: phone,
            passWord: passWord,
            idCard: idCard,
            driverLicense: driverLicense
        }),
        success: function(res) {
            if (res.status == 200) {
                success(res.message)
                time()
            } else {
                error(res.message)
            }
        },
        error: function(xhr, status, error) {
            error(error.message)
        }
    });
}


// 新增车辆
function addcar() {
    // 车辆型号
    let carContent = $('#carContents').val()
        // 车位编号
    let carNumber = $('#carNumbers').val()
        // 车辆照片
    let carPhoto = $('#carPhotos').val()
        // 车简介
    let carStatus=$('#carStatuss').val()
        //停车场id
    let parking_id = $('#parking_ids').val()
        // 能源类型
    $.ajax({
        type: 'post',
        url: `${api}/api/AddCar`,
        contentType: 'application/json', // 设置请求的内容类型为 JSON
        data: JSON.stringify({
            carContent,
            carNumber,
            carPhoto,
            carStatus,
            parking_id
        }),
        success: function(res) {
            if (res.status == 200) {
                success(res.message)
                time()
            } else {
                error(res.message)
            }
        },
        error: function(error) {
            error(error.message)
        }
    })
}
// 修改车辆
function editcar() {
    // 车辆id
    let carId = $('#carIded').val()
        // 型号
    let carNumber = $('#carModeled').val()
      
    let carContent = $('#carContented').val()
        // 车辆照片
    let carPhoto = $('#carPhotoed').val()

        // 车辆状态
    let carStatus = $('#carStatused').val()
        //停车场id
    let parking_id = $('#parking_ided').val()

    $.ajax({
        type: 'post',
        url: `${api}/api/upcarinfo`,
        contentType: 'application/json', // 设置请求的内容类型为 JSON
        data: JSON.stringify({
            carId,
            carNumber,
            carContent,
            carStatus,
            carPhoto,
            parking_id,
            
        }),
        success: function(res) {

            if (res.status == 200) {
                success(res.message)
                time()
            } else {
                error(res.message)
            }
        },
        error: function(error) {
            error(error.message)
        }
    })
}

//修改维修
// function editrepair() {
//     // 维修id
//     let carId = $('#carIded').val()
//         // 车辆型号
//     let carModel = $('#carModeled').val()
//         // 车辆颜色
//     let carColour = $('#carColoured').val()
//         //车牌号
//     let carLicense = $('#carLicenseed').val()
//         //维修价格
//     let repairMoney = $('#repairMoneyed').val()
//         //维修原因
//     let repairReason = $('#repairReasoned').val()
//         //车辆状态
//     let repairStatus = $('#repairStatused').val()
//     $.ajax({
//         type: 'post',
//         url: `${api}/api/uprepair`,
//         contentType: 'application/json', // 设置请求的内容类型为 JSON
//         data: JSON.stringify({
//             carId,
//             carModel,
//             carColour,
//             carLicense,
//             repairMoney,
//             repairReason,
//             repairStatus,
//         }),
//         success: function(res) {
//             if (res.status == 200) {
//                 success(res.message)
//                 time()
//             } else {
//                 error(res.message)
//             }
//         },
//         error: function(error) {
//             error(error.message)
//         }
//     })
// }
// ---------------
// 修改订单
function editorder() {
    // 维修id
    let orderId = $('#orderIded').val()
        //订单金额
    let orderMoney = $('#orderMoneyed').val()
        //订单
    let orderStatus = $('#orderStatused').val()
    $.ajax({
        type: 'post',
        url: `${api}/api/uporderinfo`,
        contentType: 'application/json', // 设置请求的内容类型为 JSON
        data: JSON.stringify({
            orderId,
            orderMoney,
            orderStatus
        }),
        success: function(res) {
            if (res.status == 200) {
                success(res.message)
                time()
            } else {
                error(res.message)
            }
        },
        error: function(error) {
            error(error.message)
        }
    })
}

// 新增停车场
function addParking() {
    // 停车场名称
    let parkingName = $('#parkingNames').val()
        // 省市区
    let area = $('#areas').val()
        // 详细地址
    let address = $('#addresss').val()
        // 类型
    let type = $('#types').val()
        // 最大容纳量
    let carsNumber = $('#carsNumbers').val()
        // 坐标
    let coord = $('#coords').val()
        // 状态
    let enable = $('#enables').val()
    $.ajax({
        type: 'post',
        url: `${api}/api/AddParking`,
        contentType: 'application/json', // 设置请求的内容类型为 JSON
        data: JSON.stringify({
            parkingName,
            area,
            address,
            type,
            carsNumber,
            coord,
            enable
        }),
        success: function(res) {
            if (res.status == 200) {
                success(res.message)
                time()
            } else {
                error(res.message)
            }
        },
        error: function(error) {
            error(error.message)
        }
    })
}
// 修改停车场
function editParking() {
    // id
    let id = $('#ided').val()
        // 停车场名称
    let parkingName = $('#parkingNameed').val()
        // 省市区
    let area = $('#areaed').val()
        // 详细地址
    let address = $('#addressed').val()
        // 类型
    let type = $('#typeed').val()
        // 最大容纳量
    let carsNumber = $('#carsNumbered').val()
        // 坐标
    let coord = $('#coorded').val()
        // 状态
    let enable = $('#enableed').val()
    $.ajax({
        type: 'post',
        url: `${api}/api/upparkinginfo`,
        contentType: 'application/json', // 设置请求的内容类型为 JSON
        data: JSON.stringify({
            id,
            parkingName,
            area,
            address,
            type,
            carsNumber,
            coord,
            enable
        }),
        success: function(res) {
            if (res.status == 200) {
                success(res.message)
                time()
            } else {
                error(res.message)
            }
        },
        error: function(error) {
            error(error.message)
        }
    })
}

// 新增套餐
function addMode() {
    // 套餐名称
    let modeName = $('#ModeName').val()
        // 套餐押金
    let betMoney = $('#BetMoney').val()
    let ModeNum=$('#ModeNum').val()
        // 时租金
    let hourMoney = $('#HourMoney').val()
    // 日租金
    let dayMoney = $('#DayMoney').val()
    // 月租金
    let monthMoney = $('#MonthMoney').val()
    // 套餐描述
    let description = $('#Description').val()
    // 图片
    let modeImg = $('#modeImg').val()
    // 停车场
    let parking_id = $('#parking_id').val()
    // 状态
    let modeStatus = $('#ModeStatus').val()
    $.ajax({
        type: 'post',
        url: `${api}/api/AddMode`,
        contentType: 'application/json', // 设置请求的内容类型为 JSON
        data: JSON.stringify({
            modeName,
            ModeNum,
            betMoney,
            hourMoney,
             dayMoney,
            monthMoney,
             description,
            modeImg,
             parking_id,
            modeStatus
        }),
        success: function(res) {
            if (res.status == 200) {
                success(res.message)
                time()
            } else {
                error(res.message)
            }
        },
        error: function(error) {
            error(error.message)
        }
    })
}
// 修改品牌
function editmode() {
    let modeId = $('#ModeIds').val()
   // 套餐名称
    let modeName = $('#ModeNames').val()
    let ModeNum=$('#ModeNums').val()
        // 套餐押金
    let betMoney = $('#BetMoneys').val()
        // 时租金
    let hourMoney = $('#HourMoneys').val()
    // 日租金
    let dayMoney = $('#DayMoneys').val()
    // 月租金
    let monthMoney = $('#MonthMoneys').val()
    // 套餐描述
    let description = $('#Descriptions').val()
    // 图片
    let modeImg = $('#modeImgs').val()
    // 停车场
    let parking_id = $('#parking_ids').val()
    // 状态
    let modeStatus = $('#ModeStatuss').val()
    $.ajax({
        type: 'post',
        url: `${api}/api/upmodeinfo`,
        contentType: 'application/json', // 设置请求的内容类型为 JSON
        data: JSON.stringify({
            modeId, 
            modeName,
            modeNum,
            betMoney,
            hourMoney,
             dayMoney,
            monthMoney,
             description,
            modeImg,
             parking_id,
            modeStatus
        }),
        success: function(res) {

            if (res.status == 200) {
                success(res.message)
                time()
            } else {
                error(res.message)
            }
        },
        error: function(error) {
            error(error.message)
        }
    })
}